"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addAskForConsentListener = addAskForConsentListener;
exports.deInitiate = deInitiate;
exports.getZI = getZI;
exports.hashUserIdentitiesAndSet = hashUserIdentitiesAndSet;
exports.reInitialize = reInitialize;
exports.resetZI = resetZI;
exports.setConsent = setConsent;
exports.setEventNameProperties = setEventNameProperties;
exports.setEventProperties = setEventProperties;
exports.setInstantEventNameProperties = setInstantEventNameProperties;
exports.setInstantEventProperties = setInstantEventProperties;
exports.setPageProperties = setPageProperties;
exports.setUserIdentities = setUserIdentities;
exports.setUserProperties = setUserProperties;
exports.unsetUserIdentities = unsetUserIdentities;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-bridge-package' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const BridgePackage = _reactNative.NativeModules.BridgePackage ? _reactNative.NativeModules.BridgePackage : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function setEventNameProperties(eventName) {
  return BridgePackage.setEventNameProperties(eventName);
}
function setEventProperties(eventName, eventProp) {
  return BridgePackage.setEventProperties(eventName, eventProp);
}
function setInstantEventNameProperties(eventName) {
  return BridgePackage.setInstantEventNameProperties(eventName);
}
function setInstantEventProperties(eventName, eventProp) {
  return BridgePackage.setInstantEventProperties(eventName, eventProp);
}
function setUserIdentities(userProp) {
  return BridgePackage.setUserIdentities(userProp);
}
function hashUserIdentitiesAndSet(userProp, useOldConfig) {
  return BridgePackage.hashUserIdentitiesAndSet(userProp, useOldConfig);
}
function setUserProperties(userProp) {
  return BridgePackage.setUserProperties(userProp);
}
function setPageProperties(userProp) {
  return BridgePackage.setPageProperties(userProp);
}
function unsetUserIdentities() {
  return BridgePackage.unsetUserIdentities();
}
function deInitiate() {
  return BridgePackage.deInitiate();
}
function reInitialize() {
  return BridgePackage.reInitialize();
}
function setConsent(consent) {
  return BridgePackage.setConsent(consent);
}
function addAskForConsentListener(cb) {
  return BridgePackage.addAskForConsentListener(cb);
}
function getZI(cb) {
  return BridgePackage.getZI(cb);
}
function resetZI() {
  return BridgePackage.resetZI();
}
//# sourceMappingURL=index.js.map